Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType jms-serverType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}deploymentType
              {http://www.bea.com/ns/weblogic/90/domain}jms-serverType

Model
  `<...>
  name?, notes?, target?, deployment-order?, jms-session-pool*, persistent-store?, store-enabled?, allows-persistent-downgrade?, hosting-temporary-destinations?, temporary-template-resource?, temporary-template-name?, bytes-maximum?, bytes-threshold-high?, bytes-threshold-low?, messages-maximum?, messages-threshold-high?, messages-threshold-low?, jdbc-store-upgrade-enabled?, messages-paging-enabled?, bytes-paging-enabled?, message-buffer-size?, paging-directory?, expiration-scan-interval?, maximum-message-size?, blocking-send-policy?, production-paused-at-startup?, insertion-paused-at-startup?, consumption-paused-at-startup?, jms-message-log-file?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This class represents a JMS server. A JMS server manages connections and message requests on behalf of clients.

  MBean: `JMSServerMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `target` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from int` | `deployment-order` optional A priority that the server uses to determine when it deploys an item.
`anyType` | `jms-session-pool` 0...∞ The session pools defined for the JMS server.
`string` | `persistent-store` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `store-enabled` optional Specifies whether message persistence is supported for this JMS server.
`boolean` | `allows-persistent-downgrade` optional This class represents a JMS server.
`boolean` | `hosting-temporary-destinations` optional This class represents a JMS server.
`string` | `temporary-template-resource` optional The name of a JMS module that contains a template that this JMS server can use to create temporary destinations.
`string` | `temporary-template-name` optional The name of a configured JMS template that this JMS server uses to create temporary destinations.
`annonymous type derived from long` | `bytes-maximum` optional
`annonymous type derived from long` | `bytes-threshold-high` optional
`annonymous type derived from long` | `bytes-threshold-low` optional
`annonymous type derived from long` | `messages-maximum` optional
`annonymous type derived from long` | `messages-threshold-high` optional
`annonymous type derived from long` | `messages-threshold-low` optional
`boolean` | `jdbc-store-upgrade-enabled` optional This class represents a JMS server.
`boolean` | `messages-paging-enabled` optional This class represents a JMS server.
`boolean` | `bytes-paging-enabled` optional This class represents a JMS server.
`annonymous type derived from long` | `message-buffer-size` optional The amount of memory (in bytes) that this JMS server can use to store message bodies before it writes them to disk.
`string` | `paging-directory` optional Specifies where message bodies are written when the size of the message bodies in the JMS server exceeds the message buffer size.
`annonymous type derived from int` | `expiration-scan-interval` optional The number of seconds between this JMS server's cycles of scanning local destinations for expired messages.
`annonymous type derived from int` | `maximum-message-size` optional The maximum number of bytes allowed in individual messages on this JMS server.
`annonymous type derived from string` | `blocking-send-policy` optional Determines whether the JMS server delivers smaller messages before larger ones when a destination has exceeded its maximum number of messages.
`string` | `production-paused-at-startup` optional Specifies whether production is paused at server startup on destinations targeted to this JMS server.
`string` | `insertion-paused-at-startup` optional Indicates whether insertion is paused at startup on destinations targeted to this JMS server.
`string` | `consumption-paused-at-startup` optional Indicates whether consumption is paused at startup on destinations targeted to this JMS server at startup.
`anyType` | `jms-message-log-file` optional The message log file configuration for this JMS Server.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1